##
##  watch.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2021 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_watch      1.0.2
%define       V_watch_snap 20210101

#   package information
Name:         watch
Summary:      Filesystem Watching Tool
URL:          https://github.com/mikeal/watch
Vendor:       Mikeal Rogers
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Filesystem
License:      Apache
Version:      %{V_watch}
Release:      20210101

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/watch/watch-%{V_watch}-%{V_watch_snap}.tar.gz
Source1:      watch.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node, git

%description
    Watch is a small command-line tool for watching a directory and
    executing a command once a file changes in that directory.

%track
    prog watch:base = {
        version   = %{V_watch}
        url       = https://github.com/mikeal/watch/releases
        regex     = v(\d+\.\d+\.\d+)
    }
    prog watch:snap = {
        version   = %{V_watch}-%{V_watch_snap}
        url       = http://download.openpkg.org/components/versioned/watch/
        regex     = watch-(\d+\.\d+\.\d+-\d+)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/watch
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE watch.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/watch
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/watch/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

